/*
**
**                             D S P U T I L . H
**
**
**      Module:     header file for display utilities
**      Version:    X1.0
**      Author:     Andreas Vogel (AV)
**      SccsId:     %Z%%M% %I% %G%
**
**  Copyright (C) 1992,1993  Andreas Vogel <av@ssw.de>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
**  Modification history:
**
**      10-OCT-1992 AV      Version X1.0, first definition
**      23-OCT-1992 AV      Version 1.0
**
*/

#ifndef _dsputil_h_
#define _dsputil_h_

#include <curses.h>
#include <panel.h>
#include <sys/types.h>

#if defined(COLOR_PAIR)
extern long     color_attr[];
#endif

extern long     mono_attr[];
extern WINDOW   *wdet;
extern WINDOW   *wscr;


extern void  ClearAreaChar (WINDOW *win, int y, int x, int len, u_char fillc);
extern void  ClearArea (WINDOW *win, int y, int x, int len);
extern void  ClearRectangle (WINDOW *win, int y1, int x1, int y2, int x2);
extern void  PanelFlush (void);
extern void  WpError (WINDOW *win, char *desc);
extern PANEL *MakePanel (int rows, int cols, int tly, int tlx, char *userp);
extern void  DispInfoLong (WINDOW *win, char *label, char *fmt, long value);
extern void  DispInfoInt (WINDOW *win, char *label, char *fmt, int value);
extern void  DispStaticLong (WINDOW *win, char *label, char *fmt, long value);
extern void  DispStaticInt (WINDOW *win, char *label, char *fmt, int value);
extern void  DispMessage (chtype cp, char *msg);

#endif
