/*
**
**                                  I P . H
**
**  The IP module header file.
**
**      Module:     ip moudule header file
**      Version:    X1.0
**      Author:     Andreas Vogel (AV)
**      SccsId:     %Z%%M% %I% %G%
**
**  Copyright (C) 1992,1993  Andreas Vogel <av@ssw.de>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
**  Modification history:
**
**      11-NOV-1993 AV  Version X1.0, first definition
**      14-NOV-1993 AV  added extern function declarations
**
*/

#ifndef _ip_h_
#define _ip_h_

#include <sys/types.h>

#include <netinet/in_systm.h>

/*
**  damn - name space pollution
*/
#undef MIN
#undef MAX

#include <netinet/in.h>
#include <netinet/ip.h>
#include <netinet/udp.h>
#include <netinet/ip_icmp.h>

#if defined(NETWORK_WOLLONGONG)
    /*
    **  Only error stuff in Wollongong is named like others.
    **  Most other IP vars do not have ips_ prefix
    */
#   undef   FSCALE          /* defined in ip.h as in later "paging.h" */
#   include <sys/socket.h>
#   include <net/if.h>
#endif

#include <netinet/ip_var.h>
#include <netinet/icmp_var.h>
#include <netinet/udp_var.h>


/*
**  These variables will be used by the logging module, therefore their
**  scope is global.
*/
extern struct ipstat    outIp;
extern struct icmpstat  outIcmp;
extern struct udpstat   outUdp;


extern void IpVarInit (void);
extern void IpDspInit (WINDOW *win, int tly, int tlx);
extern void IpPreCalc (void);
extern void IpDisplay (WINDOW *win, int tly, int tlx);
extern void IpPostCalc (void);
extern void IpModeChange (void);
extern void IpExit (void);

#endif
