/*
**
**                            L O G G I N G . H
**
**  Header file for logging.c with external declarations. Describes the
**  external interface of the logging module.
**
**      Module:     logging module header file
**      Version:    X1.0
**      Author:     Andreas Vogel (AV)
**      SccsId:     %Z%%M% %I% %G%
**
**  Copyright (C) 1992,1993  Andreas Vogel <av@ssw.de>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
**  Modification history:
**
**      11-NOV-1993 AV      Version X1.0, first definition
**
*/

#ifndef _logging_h_
#define _logging_h_

#include <time.h>

typedef struct KVAR_SYMBOL_T {
    char    *name;
    char    *desc;
    int     *value_ptr;
} kvar_symbol_t;

extern kvar_symbol_t *kvars_config_init (const char *log_filename, const char *conf_filename);
extern void kvar_log (struct tm *ltime, kvar_symbol_t *kvar_symbols);
extern void kvar_suspend (void);
extern void kvar_resume (void);
extern void kvar_log_end (void);

#endif
