/*
**
**                                 T C P . H
**
**  Header file for the TCP module.
**
**      Module:     tcp module header file
**      Version:    X1.0
**      Author:     Andreas Vogel (AV)
**      SccsId:     %Z%%M% %I% %G%
**
**  Copyright (C) 1992,1993  Andreas Vogel <av@ssw.de>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
**  Modification history:
**
**      11-NOV-1993 AV      Version X1.0, first definition
**
*/

#ifndef _tcp_h_
#define _tcp_h_

#if defined(S_UNIVEL)
#   include <sys/byteorder.h>
#endif

#if defined(NETWORK_WOLLONGONG)
#   include <sys/stream.h>
#   include <sys/socket.h>
#   include <net/if.h>
#endif

#include <netinet/tcp.h>
#include <netinet/tcp_timer.h>
#include <netinet/tcp_var.h>

/*
**  This variable is used by the logging module, therefore global scope.
*/
extern struct tcpstat   outTcp;



extern void TcpVarInit (void);
extern void TcpDspInit (WINDOW *win, int tly, int tlx);
extern void TcpPreCalc (void);
extern void TcpDisplay (WINDOW *win, int tly, int tlx);
extern void TcpPostCalc (void);
extern void TcpModeChange (void);
extern void TcpExit (void);

#endif
