/*
**
**                                 V A R . C
**
**
**      Module:     display of struct var
**      Version:    X1.0
**      Author:     Andreas Vogel (AV)
**      SccsId:     %Z%%M% %I% %G%
**
**  Copyright (C) 1992,1993  Andreas Vogel <av@ssw.de>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
**  Modification history:
**
**      09-OCT-1992 AV      Version X1.0, first definition
**      23-OCT-1992 AV      Version 1.0
**
*/

#include "config.h"

#include <curses.h>
#include <panel.h>

#include <sys/types.h>
#include <sys/var.h>

#include "svr4mon.h"
#include "paging.h"
#include "dsputil.h"


#define ADDR_v      kmemSymbols[0].n_value

static struct nlist kmemSymbols[] =
{
    { "v"                   },
    { 0                     },
};

static int      noSyms;


void DspVar (WINDOW *win, int y, int x)
{
    struct var      *v;

    use_cp (win, cpBANNER);

    wmove (win, y++, x);
    waddstr (win, "------ Var ------");

    if (noSyms)
    {
	use_cp (win, cpBANWARN);

	y += 4;
	wmove (win, y++, x);
	waddstr (win, "not available, sorry!!");
	return;
    }

    v = KTUT (ADDR_v, struct var *);

    wmove (win, y++, x);
    DispStaticInt (win, "v_autoup    ", "%5d", v->v_autoup);

    wmove (win, y++, x);
    DispStaticInt (win, "v_buf       ", "%5d", v->v_buf);

    wmove (win, y++, x);
    DispStaticInt (win, "v_clist     ", "%5d", v->v_clist);

    wmove (win, y++, x);
    DispStaticInt (win, "v_hbuf      ", "%5d", v->v_hbuf);

    wmove (win, y++, x);
    DispStaticInt (win, "v_hmask     ", "%5d", v->v_hmask);

    wmove (win, y++, x);
    DispStaticInt (win, "v_maxpmem   ", "%5d", v->v_maxpmem);

    wmove (win, y++, x);
    DispStaticInt (win, "v_maxup     ", "%5d", v->v_maxup);

    wmove (win, y++, x);
    DispStaticInt (win, "v_pbuf      ", "%5d", v->v_pbuf);

    wmove (win, y++, x);
    DispStaticInt (win, "v_proc      ", "%5d", v->v_proc);

    wmove (win, y++, x);
    DispStaticInt (win, "v_call      ", "%5d", v->v_call);

    wmove (win, y++, x);
#if defined (S_UNIVEL)
    DispStaticInt (win, "v_dnlcsize  ", "%5d", v->v_dnlcsize);
#else
    DispStaticInt (win, "v_nglobpris ", "%5d", v->v_nglobpris);
#endif

    wmove (win, y++, x);
    DispStaticInt (win, "v_maxsyspri ", "%5d", v->v_maxsyspri);

    wmove (win, y++, x);
    DispStaticInt (win, "v_sptmap    ", "%5d", v->v_sptmap);

    wmove (win, y++, x);
    DispStaticInt (win, "v_bufhwm    ", "%5d", v->v_bufhwm);
}


void VarInit ()
{
    noSyms = GetSymbols (kmemSymbols, 0);
}
